### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.information.metadata

# Interface MessageQueueInterface

All Superinterfaces:
  `MetadataInterface`, `PublicObjectInterface`, `Remote`

@SASScope("ALL") @BinaryCompatibilityOnly public interface MessageQueueInterface extends MetadataInterface
Message queue interface.

Since:
  9.2

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CLASSIDENTIFIER_MSMQ`
  Message queue class identifier: "MessageQueue.MSMQ".
  `static final String`
  `CLASSIDENTIFIER_WEBSPHERE`
  Message queue class identifier: "MessageQueue.Websphere".
  `static final String`
  `PROTOCOL_MQSERIES`
  Message queue application protocol: "MQSERIES".
  `static final String`
  `PROTOCOL_MSMQ`
  Message queue application protocol: "MSMQ".
  `static final String`
  `PROTOCOL_WEBSPHERE`
  Message queue application protocol: "Websphere".
  `static final String`
  `SASMESSAGEQUEUE`
  "SASMessageQueue" constant used for the value of the `TransformRole` attribute of a `Transformation` to denote a SAS message queue.
  `static final String`
  `SMART_OBJECT_TYPE`
  Smart object type: "MessageQueue".
  `static final String`
  `WEBSPHERE_TRANSPORT_MQ`
  Websphere MQ Series transport: "MQSERIES".
  `static final String`
  `WEBSPHERE_TRANSPORT_MQ_CLIENT`
  Websphere MQ Series Client transport: "MQSERIES-C".

  ### Fields inherited from interface com.sas.services.information.metadata.MetadataInterface

  `METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ServerComponentInterface`
  `getQueueManager()`
  Gets the queue manager server associated with this queue.
  `String`
  `getQueueURI()`
  Gets the queue name to deliver to for this subscriber.
  `TCPIPConnectionInterface`
  `getServerConnection()`
  Gets the server connection.
  `void`
  `setQueueManager(ServerComponentInterface server)`
  Set the queue manager ServerComponent for this message queue.
  `void`
  `setServerConnection(TCPIPConnectionInterface connection)`
  Sets the connection used by the controlling server.

  ### Methods inherited from interface com.sas.services.information.metadata.MetadataInterface

  `add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isObjectAlive, isReadCompatible, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

  ### Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface

  `addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

- ## Field Details

  - ### SASMESSAGEQUEUE

    static final String SASMESSAGEQUEUE
    "SASMessageQueue" constant used for the value of the `TransformRole` attribute of a `Transformation` to denote a SAS message queue.
    See Also:
      - Constant Field Values

  - ### PROTOCOL_MSMQ

    static final String PROTOCOL_MSMQ
    Message queue application protocol: "MSMQ".
    See Also:
      - `PROTOCOL_WEBSPHERE`
      - `PROTOCOL_MQSERIES`
      - Constant Field Values

  - ### PROTOCOL_MQSERIES

    static final String PROTOCOL_MQSERIES
    Message queue application protocol: "MQSERIES".
    See Also:
      - `PROTOCOL_MSMQ`
      - `PROTOCOL_WEBSPHERE`
      - Constant Field Values

  - ### PROTOCOL_WEBSPHERE

    static final String PROTOCOL_WEBSPHERE
    Message queue application protocol: "Websphere".

    Note that "MQSERIES" is used as the protocol in a message queue URI instead of "Websphere".

    See Also:
      - `PROTOCOL_MSMQ`
      - `PROTOCOL_WEBSPHERE`
      - Constant Field Values

  - ### WEBSPHERE_TRANSPORT_MQ

    static final String WEBSPHERE_TRANSPORT_MQ
    Websphere MQ Series transport: "MQSERIES".
    See Also:
      - `WEBSPHERE_TRANSPORT_MQ_CLIENT`
      - Constant Field Values

  - ### WEBSPHERE_TRANSPORT_MQ_CLIENT

    static final String WEBSPHERE_TRANSPORT_MQ_CLIENT
    Websphere MQ Series Client transport: "MQSERIES-C".
    See Also:
      - `WEBSPHERE_TRANSPORT_MQ`
      - Constant Field Values

  - ### CLASSIDENTIFIER_MSMQ

    static final String CLASSIDENTIFIER_MSMQ
    Message queue class identifier: "MessageQueue.MSMQ".
    See Also:
      - `CLASSIDENTIFIER_WEBSPHERE`
      - Constant Field Values

  - ### CLASSIDENTIFIER_WEBSPHERE

    static final String CLASSIDENTIFIER_WEBSPHERE
    Message queue class identifier: "MessageQueue.Websphere".
    See Also:
      - `CLASSIDENTIFIER_MSMQ`
      - Constant Field Values

  - ### SMART_OBJECT_TYPE

    static final String SMART_OBJECT_TYPE
    Smart object type: "MessageQueue".
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getQueueManager

    ServerComponentInterface getQueueManager() throws ServiceException, RemoteException
    Gets the queue manager server associated with this queue.
    Returns:
      Queue's server manager.
    Throws:
      `ServiceException` - if a repository error occurs.
      `RemoteException` - in the event of remote object failure.

  - ### setQueueManager

    void setQueueManager(ServerComponentInterface server) throws ServiceException, RemoteException
    Set the queue manager ServerComponent for this message queue.
    Parameters:
      `server` - The ServerComponent for this queue.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getQueueURI

    String getQueueURI() throws ServiceException, RemoteException
    Gets the queue name to deliver to for this subscriber.
    Returns:
      The message queue this subscriber recieves published information on.
    Throws:
      `ServiceException` - if unable to determine the queue's URI.
      `RemoteException` - if a network anomaly is encountered.

  - ### getServerConnection

    TCPIPConnectionInterface getServerConnection() throws ServiceException, RemoteException
    Gets the server connection.

    Use this method if you just want to query the server connection remote object for values.

    Returns:
      Server connection.
    Throws:
      `ServiceException` - if unable to determine the queue's server connection.
      `RemoteException` - if a network anomaly is encountered.

  - ### setServerConnection

    void setServerConnection(TCPIPConnectionInterface connection) throws ServiceException, RemoteException
    Sets the connection used by the controlling server.
    Parameters:
      `connection` - The TCPIPConnection for the controller to use.
    Throws:
      `ServiceException` - If a server error occurs.
      `RemoteException` - In the event of remote object failure.